<?php
declare(strict_types=1);

namespace App\Test\TestCase\Model\Table;

use App\Model\Table\IpAuthsTable;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\IpAuthsTable Test Case
 */
class IpAuthsTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var \App\Model\Table\IpAuthsTable
     */
    protected $IpAuths;

    /**
     * Fixtures
     *
     * @var array
     */
    protected $fixtures = [
        'app.IpAuths',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    public function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('IpAuths') ? [] : ['className' => IpAuthsTable::class];
        $this->IpAuths = $this->getTableLocator()->get('IpAuths', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    public function tearDown(): void
    {
        unset($this->IpAuths);

        parent::tearDown();
    }

    /**
     * Test validationDefault method
     *
     * @return void
     */
    public function testValidationDefault(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
